/*----------------------------------------------------------------------------------*/
/*                                                                                  */
/*----------------------------------------------------------------------------------*/

struct record1
{
   long    yydoy;
   long    hhmmss;
   long    time;
   float   oa_data[9];
   long    kp;
   float   ftenp7;
   long    flag_gen;
   float   temp_pz[5];
   long    flags_pz[5];
   float   temp_mz[5];
   long    flags_mz[5];
   float   temp_z[5];
   long    flags_z[5];
   float   den_temp[5];
   float   pot_temp[5];
   float   chisqr_temp[5];
   long    flags_temp[5];
   float   avg_pot;
   long    pot_flag;
   float   den_pot[5];
   float   temp_rd[5];
   float   chisqr_pot[5];
   long    flags_pot[5];
} record_1;

struct record2
{
   float   temp_pz_lo[5];
   float   temp_mz_lo[5];
   float   temp_z_lo[5];
   long    flags_z_lo[5];
   float   den_temp_lo[5];
   float   pot_temp_lo[5];
   float   chisqr_temp_lo[5];
   long    flags_temp_lo[5];
   float   avg_pot_lo;
   long    pot_flag_lo;
   float   den_pot_lo[5];
   float   temp_rd_lo[5];
   float   chisqr_pot_lo[5];
   long    flags_pot_lo[5];
} record_2;


struct record3
{
   float   temp_pz_hi[5];
   float   temp_mz_hi[5];
   float   temp_z_hi[5];
   long    flags_z_hi[5];
   float   den_temp_hi[5];
   float   pot_temp_hi[5];
   float   chisqr_temp_hi[5];
   long    flags_temp_hi[5];
   float   avg_pot_hi;
   long    pot_flag_hi;
   float   den_pot_hi[5];
   float   temp_rd_hi[5];
   float   chisqr_pot_hi[5];
   long    flags_pot_hi[5];
} record_3;


#include <stdio.h>
#include <stdlib.h>
#include <math.h>

FILE *f_in;




main()
{

/*----------------------------------------------------------------------------------*/
/*                                                                                  */
/*----------------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------------*/
/*                                                                                  */
/*----------------------------------------------------------------------------------*/

   f_in = fopen("empclt_merge.dat", "rb");
   while (!feof(f_in))
   {
      read_empclt_data();
      printf ("%5d %6d %10.2f %10.2f %10.2f\n",
               record_1.yydoy, record_1.hhmmss, 
               record_2.temp_pz_lo[0], record_1.temp_pz[0], record_3.temp_pz_hi[0]);
   }
   fclose(f_in);

/*----------------------------------------------------------------------------------*/
/*                                                                                  */
/*----------------------------------------------------------------------------------*/

   exit (0);

}


read_empclt_data()
{

/*----------------------------------------------------------------------------------*/
/*                                                                                  */
/*----------------------------------------------------------------------------------*/

   fread (&record_1, 1, sizeof(struct record1), f_in);
   fread (&record_2, 1, sizeof(struct record2), f_in);
   fread (&record_3, 1, sizeof(struct record3), f_in);

/*----------------------------------------------------------------------------------*/
/*                                                                                  */
/*----------------------------------------------------------------------------------*/

}
